classification
Title: Error while installing python 3.6.5 on windows 10
Type: crash Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: bobclown, paul.moore, sid1987, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2018-06-06 09:38 by sid1987, last changed 2019-08-02 22:26 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.6.5 (64-bit)_20180606150607.log sid1987, 2018-06-06 09:38 Log File
snapshot.PNG sid1987, 2018-06-07 16:43
Python 3.6.5 (64-bit)_20180608095000.log sid1987, 2018-06-08 04:37
Messages (12)
msg318803 - (view) Author: Siddhartha Bose (sid1987) Date: 2018-06-06 09:38
Hi Team,

  I am getting below error while trying to install python 3.6.5 on windows 10.

0X80070005 Access is denied.

Logs attached.
Also when I see control panel it shows me under program and feartures however unable to uninstall. 

I am logged in as administrator.
msg318804 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-06 09:39
Extract of logs:

[48E0:48FC][2018-06-06T15:06:11]i360: Creating a system restore point.
[48E0:48FC][2018-06-06T15:06:11]w363: Could not create system restore point, error: 0x80070514. Continuing...
[4B7C:4B80][2018-06-06T15:06:11]i370: Session begin, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9d1b786e-0fd4-4386-abc1-4b920ab32da9}, options: 0x4, disable resume: No
[4B7C:4B80][2018-06-06T15:06:11]i320: Registering bundle dependency provider: CPython-3.6, version: 3.6.5150.0
[4B7C:4B80][2018-06-06T15:06:11]i371: Updating session, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9d1b786e-0fd4-4386-abc1-4b920ab32da9}, resume: Active, restart initiated: No, disable resume: No
[4B7C:4B80][2018-06-06T15:06:11]e000: Error 0x80070005: Failed to write run key value.
[4B7C:4B80][2018-06-06T15:06:11]e000: Error 0x80070005: Failed to update resume mode.
[4B7C:4B80][2018-06-06T15:06:11]e000: Error 0x80070005: Failed to begin registration session.
[4B7C:4B80][2018-06-06T15:06:11]e000: Error 0x80070005: Failed to register bundle.
msg318819 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-06 13:22
Did you have a previous install? It looks like it is registered but somehow you don't have the ability to replace it.

If you're comfortable with using regedit.exe, you could try renaming SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9d1b786e-0fd4-4386-abc1-4b920ab32da9} (probably under HKEY_CURRENT_USER, but running as admin all the time can make installers choose HKEY_LOCAL_MACHINE instead). Renaming will get it out of the way so you can try installing again, but you can bring it back if something else breaks.

If you're not comfortable, let me know and I'll make a Powershell script for you can that do it.
msg318877 - (view) Author: Siddhartha Bose (sid1987) Date: 2018-06-07 03:00
@steve, I tried to install which gave me access denied error and when i checked it was there in program and features. Let's check on that when I successfully uninstall the two instances already there (3.7.0b5 and 3.6.5)
msg318930 - (view) Author: Siddhartha Bose (sid1987) Date: 2018-06-07 13:43
@Steve, I did find the registry under local user, {9d1b786e-0fd4-4386-abc1-4b920ab32da9}, but it lot of registries in it. what and how do i rename it to?
msg318934 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-07 14:17
Just anything. I often put "deleteme" in as a reminder. Once you've got it all working you can delete it, but for now you just want the installer to be able to make a key with that name.
msg318956 - (view) Author: Siddhartha Bose (sid1987) Date: 2018-06-07 16:43
@steve, it didn't work, see the snapshot attached for reference

log details

[24130:24B34][2018-06-07T22:08:43]i000: Did not find C:\Users\SI20016244\Downloads\unattend.xml
[24130:24B34][2018-06-07T22:08:43]i000: Setting string variable 'ActionLikeInstalling' to value 'Installing'
[24130:24B34][2018-06-07T22:08:43]i000: Setting string variable 'ActionLikeInstallation' to value 'Setup'
[24130:24B34][2018-06-07T22:08:43]i000: Setting version variable 'WixBundleFileVersion' to value '3.6.5150.0'
[24130:24B34][2018-06-07T22:08:43]i000: Target OS is Windows 7 SP1 or later
[24130:24AD8][2018-06-07T22:08:43]i100: Detect begin, 58 packages
[24130:24AD8][2018-06-07T22:08:43]i102: Detected related bundle: deleteme, type: Upgrade, scope: PerUser, version: 3.6.5150.0, operation: None
[24130:24AD8][2018-06-07T22:08:43]e000: Related bundle deleteme is preventing install
msg318957 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-07 18:06
Hmm... okay, we might just need to delete it completely then.
msg319017 - (view) Author: Siddhartha Bose (sid1987) Date: 2018-06-08 04:37
@steve, deleting it did work and it was out of the system but installation failed again, see the logs attached
msg319085 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-08 16:55
Okay, I guess there's some configuration (or corruption) on your machine that's interfering here. I've seen similar things before on IT-managed workstations.

Can you try deselecting the "Install launcher for all users" option and seeing if that helps? It should be fully per-user then, which avoids most of these problems.
msg331469 - (view) Author: BobClown (bobclown) Date: 2018-12-10 04:57
An addition to the record, as Google returns this issue as one of the top results for "python install \"Error 0x80070005: Failed to register bundle.\"":

In my case, I had removed access for all users on the HKCU/RunOnce key and was getting this error.  The purpose of removing access to that key is so Windows doesn't automatically relaunch all running programs on restart, as the setting to disable it does not exist in some earlier windows 10 patches.

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\RunOnce

After restoring permission to my user, the package installed successfully. 
 During installation, it was observed that the path to a temporary copy of the installer executable was added as a string value under the RunOnce key, purpose unknown.  This string value was removed by the time installation was completed.

While I disallowed access to this key manually, I suspect that some anti* software may also block access.

Binary:
python-3.7.1-amd64.exe
SHA256 86E38B5F819F4141A7FA14DF39AB33E2AA97074E904A48AD498519AD3E69D017
msg331470 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-10 05:08
Thanks for the extra info! I think the registration is put in there during install in case the PC restarts part way through, but it doesn't have to hang around after install is complete. Your explanation makes sense, and is a good reason to disable antivirus software while installing.
History
Date User Action Args
2019-08-02 22:26:41steve.dowersetstatus: open -> closed
resolution: third party
stage: resolved
2018-12-10 05:08:36steve.dowersetmessages: + msg331470
2018-12-10 04:57:48bobclownsetnosy: + bobclown
messages: + msg331469
2018-06-08 16:55:04steve.dowersetmessages: + msg319085
2018-06-08 04:37:53sid1987setfiles: + Python 3.6.5 (64-bit)_20180608095000.log

messages: + msg319017
2018-06-07 18:06:58steve.dowersetmessages: + msg318957
2018-06-07 16:43:56sid1987setfiles: + snapshot.PNG

messages: + msg318956
2018-06-07 14:17:00steve.dowersetmessages: + msg318934
2018-06-07 13:43:36sid1987setmessages: + msg318930
2018-06-07 03:00:44sid1987setmessages: + msg318877
2018-06-06 13:22:59steve.dowersetmessages: + msg318819
2018-06-06 09:39:35vstinnersetnosy: + paul.moore, tim.golden, vstinner, zach.ware, steve.dower
messages: + msg318804
components: + Windows
2018-06-06 09:38:17sid1987create